Class SqlDataServiceGrpc.SqlDataServiceBlockingV2Stub (0.1.0)

public static final class SqlDataServiceGrpc.SqlDataServiceBlockingV2Stub extends AbstractBlockingStub<SqlDataServiceGrpc.SqlDataServiceBlockingV2Stub>

A stub to allow clients to do synchronous rpc calls to service SqlDataService.

Service for streaming data to and from Cloud SQL instances.

Inheritance

java.lang.Object > io.grpc.stub.AbstractStub > io.grpc.stub.AbstractBlockingStub > SqlDataServiceGrpc.SqlDataServiceBlockingV2Stub

Methods

build(Channel channel, CallOptions callOptions)

protected SqlDataServiceGrpc.SqlDataServiceBlockingV2Stub build(Channel channel, CallOptions callOptions)
Parameters
Name Description
channel io.grpc.Channel
callOptions io.grpc.CallOptions
Returns
Type Description
SqlDataServiceGrpc.SqlDataServiceBlockingV2Stub
Overrides
io.grpc.stub.AbstractStub.build(io.grpc.Channel,io.grpc.CallOptions)

streamSqlData()

public BlockingClientCall<StreamSqlDataRequest,StreamSqlDataResponse> streamSqlData()

StreamSqlData establishes a bidirectional stream to a Cloud SQL instance, and then streams data to and from the instance. The first message from the client MUST be a StreamSqlDataRequest request with configuration settings, including required values for the connection_settings field. Subsequent messages from the client may contain the payload field. Messages from the server may contain the payload field. The payload fields of the request and response streams contain the raw data of the database's native wire protocol (e.g., PostgreSQL wire protocol). The database client is responsible for generating and parsing this data. Any errors on initial connection (e.g., connection failure, authorization issues, network problems) will result in the stream being terminated with an appropriate RPC status exception. After a successful connection is made, if an error occurs, then the server terminates connection and returns the appropriate RPC status exception. Add the request params headers to the request to ensure that the streaming request is routed to the correct service for your database. Use this format for the request params header: x-goog-request-params: location_id={location_path}&instance_id={instance_path} location_path is locations/{location_name} instance_path is projects/{project_name}/instances/{instance_name} for example: x-goog-request-params: location_id=locations/us-central1&instance_id=projects/myproject/instances/instancename`

Returns
Type Description
io.grpc.stub.BlockingClientCall<StreamSqlDataRequest,StreamSqlDataResponse>